summaryrefslogtreecommitdiffstats
path: root/libdvdcss
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2011-11-16 08:26:03 +0000
committer Eric Hameleers <alien@slackware.com>2011-11-16 08:26:03 +0000
commit8975c1f1a27844ebee4eaabfd54213b79009fc39 (patch)
tree78b0b10587c41e16b05717cfeab93b278b3f4f47 /libdvdcss
parenta32c54da37045aee96e90298ee9fa69cd456c010 (diff)
downloadasb-8975c1f1a27844ebee4eaabfd54213b79009fc39.tar.gz
asb-8975c1f1a27844ebee4eaabfd54213b79009fc39.tar.xz
Update to 1.2.11
Diffstat (limited to 'libdvdcss')
-rwxr-xr-xlibdvdcss/build/libdvdcss.SlackBuild20
1 files changed, 11 insertions, 9 deletions
diff --git a/libdvdcss/build/libdvdcss.SlackBuild b/libdvdcss/build/libdvdcss.SlackBuild
index ff668eaa..19d3f429 100755
--- a/libdvdcss/build/libdvdcss.SlackBuild
+++ b/libdvdcss/build/libdvdcss.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2006-2010 Eric Hameleers, Eindhoven, The Netherlands
+# Copyright 2005-2011 Eric Hameleers, Eindhoven, The Netherlands
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -44,6 +44,8 @@
# * Update.
# 1.2.10-2: 02/jun/2010 by Eric Hameleers <alien@slackware.com>
# * Rebuilt for Slackware 13.1.
+# 1.2.11-1: 16/nov/2011 by Eric Hameleers <alien@slackware.com>
+# * New release.
#
# Run 'sh libdvdcss.SlackBuild' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -54,9 +56,9 @@
# Set initial variables:
PRGNAM=libdvdcss
-VERSION=${VERSION:-1.2.10}
+VERSION=${VERSION:-1.2.11}
NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-alien}
DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README doc/html"
@@ -120,12 +122,13 @@ rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
# Source file availability:
if ! [ -f ${SOURCE} ]; then
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ if [ -f ${SOURCE} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL}" == "x" ]; then
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
- echo "Source '$(basename ${SOURCE})' not available yet..."
echo "Will download file to $(dirname $SOURCE)"
- wget -nv -T 30 -O "${SOURCE}" "${SRCURL}" || true
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
@@ -172,9 +175,8 @@ CXXFLAGS="$SLKCFLAGS" \
(cd doc && patch -p0 < $SRCDIR/${PRGNAM}_docMakefile.diff \
2>&1 | tee $OUTPUT/patch-${PRGNAM}.log
)
-make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
-# Install all the needed stuff to the package dir
+make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
make DESTDIR=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
# Don't forget the testtool